import scrapy


class BjLianjiaSpider(scrapy.Spider):
    name = 'bj.lianjia'
    allowed_domains = ['bj.lianjia.com']
    start_urls = ['https://bj.lianjia.com/ershoufang/pg{}/'.format(i) for i in range (3)]

    def parse(self, response):
        # self.response=response
        # titles=response.xpath('//div[@class="info clear"]//div[@class="title"]').extract_first()
        next_urls=response.xpath('//div[@class="info clear"]//div[@class="title"]/a/@href').extract()
        for next_url in next_urls:
            yield scrapy.Request(next_url,callback=self.parse_info)
    def parse_info(self,response):
        title=response.xpath('//div[@class="title"]/h1/text()').extract_first()
        price=response.xpath('concat(//div[@class="price"]/span[@class="total"]/text(),//div[@class="price"]/span[@class="unit"]/span/text())').extract_first()
        # price=response.xpath('//div[@class="price"]/span[@class="total"]/text()').extract_first()
        scale=response.xpath('concat(//div[@class="room"]//div[@class="mainInfo"]/text(),//div[@class="room"]//div[@class="subInfo"]/text())').extract_first()
        fangxiang=response.xpath('//div[@class="type"]//div[@class="mainInfo"]/text()').extract_first()
        area=response.xpath('//div[@class="area"]//div[@class="mainInfo"]/text()').extract_first()
        yield{
            "title":title,
            "price":price,
            "scale":scale,
            "fangxiang":fangxiang,
            "area":area
        }